Subject: Re: [PATCH v14 03/10] refs: standardize output of refs_read_symbolic_ref

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Nov 2024 06:39:01 +0900

"Bence Ferdinandy" <[email-masked]> writes:

> Ok, so `git diff --check master` at least does produce the output for me, and
> now that you mentioned the exit code, I checked that even though I get zero
> output from git log --check, the exit code is indeed 2. So now I just don't get
> why I don't see any output ...

I was about to say "perhaps you are accidentally giving a wrong
revision range, like 'git checkout master && git log --check
master..'?" but then the command should exit with 0 for an empty
range, so that is not it.

Do let us know when you find out why ;-)

Thanks.